为什么我的AWS实例不能安装node-sass pacakage?

我使用Node创build了一个应用程序,并试图使用AWS的Elastic Beanstalk来托pipe它,但是当npm install到达node-sass时,它总是失败。 以下是日志中的错误:

5162错误node-sass@4.5.0 postinstall: node scripts/build.js 5162错误退出状态1 5163错误在node-sass@4.5.0 postinstall脚本'node scripts / build.js'失败。 5163错误请确保您安装了最新版本的node.js和npm。 5163错误如果这样做,这很可能是node-sass软件包的一个问题,5163错误与npm本身无关。 5163错误告诉作者,这在您的系统上失败:5163错误节点脚本/ build.js 5163错误您可以获得有关如何打开此项目的问题的信息:5163错误npm错误node-sass 5163错误或者,如果是没有可用的,你可以通过以下方式得到他们的信息:5163错误npm owner ls node-sass 5163错误上面可能还有其他日志logging输出。 5164 verbose exit [1,true]

这里是我的存储库: https : //github.com/Jacob-Elder/react-socket.io-messaging

这是我的awsconfiguration

我search了这个问题,发现有些人用“–unsafe-perm”标志重新安装了node-sass,但这似乎不是一个权限问题。 我是新来的AWS和编码,所以任何帮助非常感谢!

       

网上收集的解决方案 "为什么我的AWS实例不能安装node-sass pacakage?"